# Generated by Django 3.2.16 on 2023-01-21 13:30

from django.db import migrations


from journals.constants import (
    PUBLISHABLE_OBJECT_TYPE_ARTICLE,
    PUBLISHABLE_OBJECT_TYPE_CODEBASE,
    PUBLISHABLE_OBJECT_TYPE_DATASET,
)


def populate_codebases(apps, schema_editor):
    Journal = apps.get_model("journals.Journal")

    for j in Journal.objects.all():
        if "Codebases" in j.name:
            j.submission_object_types = {
                "options": [
                    " + ".join(l)
                    for l in [
                        [
                            PUBLISHABLE_OBJECT_TYPE_CODEBASE,
                        ],
                        [
                            PUBLISHABLE_OBJECT_TYPE_ARTICLE,
                            PUBLISHABLE_OBJECT_TYPE_CODEBASE,
                        ],
                        [
                            PUBLISHABLE_OBJECT_TYPE_CODEBASE,
                            PUBLISHABLE_OBJECT_TYPE_DATASET,
                        ],
                        [
                            PUBLISHABLE_OBJECT_TYPE_ARTICLE,
                            PUBLISHABLE_OBJECT_TYPE_CODEBASE,
                            PUBLISHABLE_OBJECT_TYPE_DATASET,
                        ],
                    ]
                ]
            }
            j.save()


class Migration(migrations.Migration):
    dependencies = [
        ("journals", "0127_journal_submission_object_types"),
    ]

    operations = [
        migrations.RunPython(
            populate_codebases,
            reverse_code=migrations.RunPython.noop,
        )
    ]
