# Generated by Django 4.2.10 on 2024-04-09 10:55

from django.db import migrations, models


def set_existing_reports_publicly_invisible(apps, schema_editor):
    Report = apps.get_model("submissions", "Report")
    Report.objects.update(recommendation_publicly_visible=False)


class Migration(migrations.Migration):
    dependencies = [
        ("submissions", "0150_submission_code_metadata"),
    ]

    operations = [
        migrations.AddField(
            model_name="report",
            name="recommendation_publicly_visible",
            field=models.BooleanField(default=True),
        ),
        migrations.RunPython(
            set_existing_reports_publicly_invisible,
            reverse_code=migrations.RunPython.noop,
        ),
    ]
